Bug 146698 - Adding "RH" extention into qlogic driver qla2x00_version_str
Adding "RH" extention into qlogic driver qla2x00_version_str
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 15:53 EST by Wendy Cheng
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-20 11:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wendy Cheng 2005-01-31 15:53:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)
Gecko/20020830

Description of problem:
There are various not-RedHat-supplied qlogic drivers the customers may
use (shipped by EMC, shipped by HP, etc). It is normally very
confusing when qlogic bugs are reported to GSS. To ease the pain, the
earlier kernels add an "RH" text into the driver version string. This
gives support group a clear indication where to look for the driver
source, or  at least raise an alarm for support to ask the right
questions.Somehow the newer kernel removes this string extention.
Could we put it back ?



 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.(N/A)
2.
3.
    

Additional info:
Comment 1 Ernie Petrides 2005-01-31 22:52:27 EST
Hi, Wendy.  The "RH" extension makes sense if our version of the driver
(at a given QLogic version level) deviates in some way from the original.

I don't know whether our current 7.01.01 version does, so I'll leave it
to Tom to investigate and follow up.
Comment 2 Wendy Cheng 2005-02-01 01:25:05 EST
Unless there are legal issues, I prefer seeing "RH" string gets 
appended even we take the code from qlogic without any changes. There
are just too many variations of qlogic drivers.

We in support don't have the luxury to immediately turn the customers
away whenever we see a tainted kernel and "which qlogic driver" has
been in too many confusing conversations.
Comment 3 Tom Coughlan 2005-05-20 11:20:14 EDT
The -RH string was added in U5 and U7. We will try to continue this in the future. 

In RHEL 4 GOLD and U1 we have the Qlogic driver from upstream. If we update it
in the future I expect we will have to customize it a bit, so we will add -RH then. 
Comment 4 Ernie Petrides 2005-05-20 20:01:29 EDT
A fix for this problem was committed to the RHEL3 U5 patch pool
on 16-Feb-2005 (in kernel version 2.4.21-27.15.EL).
Comment 5 Ernie Petrides 2005-05-20 20:01:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.